Bug 480204 - [QLogic 5.4 bug] qla2xxx - updates and fixes from upstream, part 1
[QLogic 5.4 bug] qla2xxx - updates and fixes from upstream, part 1
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
high Severity high
: beta
: 5.4
Assigned To: Marcus Barrow
Red Hat Kernel QE team
: HardwareEnablement, OtherQA
Depends On:
Blocks: 460170 483701 483784 485920 501989
  Show dependency treegraph
 
Reported: 2009-01-15 12:59 EST by Marcus Barrow
Modified: 2009-10-07 04:41 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:28:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
updates 1 for 5.4 (37.70 KB, patch)
2009-04-09 13:48 EDT, Marcus Barrow
no flags Details | Diff

  None (edit)
Description Marcus Barrow 2009-01-15 12:59:04 EST
There have been numerous updates to the upstream driver since the 5.3 submissions. There will be several batches of patches to attempt to bring the driver closer to it's upstream cousin.

The patches will be grouped to aid in the submission process and will be described below as they become available.
Comment 1 Andrius Benokraitis 2009-01-23 14:44:09 EST
rlary: did you manually remove QLogic from the Partner field above? Let me know, this is a new field we will start using but could be a bug if you didn't touch the field... thanks!
Comment 2 Richard A Lary 2009-01-30 16:40:41 EST
(In reply to comment #1)
> rlary: did you manually remove QLogic from the Partner field above? Let me
> know, this is a new field we will start using but could be a bug if you didn't
> touch the field... thanks!

No I did not manually remove QLogic from the Partner field.  Sorry for delayed response, travelling.
Comment 3 RHEL Product and Program Management 2009-02-16 10:17:15 EST
Updating PM score.
Comment 4 Marcus Barrow 2009-04-09 13:48:24 EDT
Created attachment 338961 [details]
updates 1 for 5.4
Comment 5 Marcus Barrow 2009-04-09 13:49:28 EDT
Fixes in patch attached above...

 - Ensure fcport obtained from rport->dd_data is not NULL
 - Check QLID signature in FDT.
 - Correct discrepancies during OVERRUN handling on FWI2-capable cards
 - Correct synchronization of software/firmware fcport states.
 - Add supported speed attribute to true.
 - Fix vport abort on main ISP aborts.
 - Use an rport's scsi_target_id member consistently throughout driver.
 - Alert all vports of an aynch event.
 - Correct ISP abort semantics for HBA param  & VPD update.
 - Added 8100 fw, eventaully it will be removed.
 - Correct Kernel Panic with Qlogic 2472 Card.
 - Properly acknowledge IDC notification messages.
 - Fixed IDC handling
 - Added CT Passthru support for 2G HBAs
 - Mask region code
 - Do not retry stop_firmware if the first attemtp timeouts
 - Removed unwanted warning messages
Comment 6 Don Zickus 2009-05-06 13:15:52 EDT
in kernel-2.6.18-144.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 8 Richard A Lary 2009-05-07 13:05:20 EDT
Verified driver version 8.03.00.04.05.04-k
Testing underway on IBM Power PC QLogic FCoE adapter.
Comment 9 Chris Ward 2009-06-14 19:19:46 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 10 Chris Ward 2009-07-03 14:20:50 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 11 Chris Ward 2009-07-10 15:09:38 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 12 Caspar Zhang 2009-07-29 01:14:01 EDT
Verified that the patch to this bug is included in kernel-2.6.18-160.el5
Comment 14 errata-xmlrpc 2009-09-02 04:28:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.